sqop-generate-key(1)

NAME
sqop-generate-key - Generates a Secret Key

SYNOPSIS
sqop generate-key [--no-armor] [--profile] [--signing-only] [--with-key-password] [--debug] [-h|--help] [USERIDS]

DESCRIPTION
Generates a Secret Key

OPTIONS

--no-armor
    Don't ASCII-armor output

--profile=PROFILE
    Select the profile to use for key generation

--signing-only
    Create a signing-only key

--with-key-password=WITH_KEY_PASSWORD
    Protect the newly generated key with the given password

--debug
    Emit verbose output for debugging

-h, --help
    Print help

[USERIDS]
    UserIDs for the generated key